System.Core 4.0.0.0 System.IO.Pipes.PipeStream System.MonoTODO("working only on win32 right now")

Named pipes provide one-way or duplex pipes for communication between a pipe server and one or more pipe clients. Named pipes can be used for interprocess communication locally or over a network. A single pipe name can be shared by multiple objects.

Any process can act as either a named pipe server or client, or both.

For winxppro and win2kserver, a maximum of 10 pipes can simultaneously connect over the network.

Exposes a around a named pipe, which supports both synchronous and asynchronous read and write operations.

- Constructor
  4.0.0.0

  This constructor uses the following default values:

  A default server name of ".".

  A default value of .

  A default value of .

  A default value of .

  A default value of .

  Initializes a new instance of the class with the specified pipe name.

  The name of the pipe.
- Constructor
  4.0.0.0

  This constructor uses the following default values:

  A default value of .

  A default value of .

  A default value of .

  A default value of .

  Initializes a new instance of the class with the specified pipe and server names.

  The name of the remote computer to connect to, or "." to specify the local computer.
  The name of the pipe.
- Constructor
  4.0.0.0

  This constructor uses the following default values:

  A default value of .

  A default value of .

  A default value of .

  Initializes a new instance of the class with the specified pipe and server names, and the specified pipe direction.

  The name of the remote computer to connect to, or "." to specify the local computer.
  The name of the pipe.
  One of the enumeration values that determines the direction of the pipe.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class for the specified pipe handle with the specified pipe direction.

  One of the enumeration values that determines the direction of the pipe.
  true to indicate that the handle was opened asynchronously; otherwise, false.
  true to indicate that the pipe is connected; otherwise, false.
  A safe handle for the pipe that this object will encapsulate.
- Constructor
  4.0.0.0

  This constructor uses the following default values:

  A default value of .

  A default value of .

  Initializes a new instance of the class with the specified pipe and server names, and the specified pipe direction and pipe options.

  The name of the remote computer to connect to, or "." to specify the local computer.
  The name of the pipe.
  One of the enumeration values that determines the direction of the pipe.
  One of the enumeration values that determines how to open or create the pipe.
- Constructor
  4.0.0.0

  This constructor uses a default value of .

  Initializes a new instance of the class with the specified pipe and server names, and the specified pipe direction, pipe options, and security impersonation level.

  The name of the remote computer to connect to, or "." to specify the local computer.
  The name of the pipe.
  One of the enumeration values that determines the direction of the pipe.
  One of the enumeration values that determines how to open or create the pipe.
  One of the enumeration values that determines the security impersonation level.
- Constructor
  4.0.0.0

  The pipe direction for this constructor is determined by the parameter. If the value is , the pipe direction will be . If the value of is , the pipe direction will be . If the value of includes both and , the pipe direction will be .

  Initializes a new instance of the class with the specified pipe and server names, and the specified pipe options, security impersonation level, and inheritability mode.

  The name of the remote computer to connect to, or "." to specify the local computer.
  The name of the pipe.
  One of the enumeration values that specifies the desired access rights of the pipe.
  One of the enumeration values that determines how to open or create the pipe.
  One of the enumeration values that determines the security impersonation level.
  One of the enumeration values that determines whether the underlying handle will be inheritable by child processes.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified pipe and server names, and the specified pipe direction, pipe options, security impersonation level, and inheritability mode.

  The name of the remote computer to connect to, or "." to specify the local computer.
  The name of the pipe.
  One of the enumeration values that determines the direction of the pipe.
  One of the enumeration values that determines how to open or create the pipe.
  One of the enumeration values that determines the security impersonation level.
  One of the enumeration values that determines whether the underlying handle will be inheritable by child processes.
- Method
  4.0.0.0
  System.Void

  This method calls the method with an infinite time-out value.

  This method waits for a pipe instance to become available. might return before is called from the object, but will not return until has returned.

  Any data written to the pipe after a object has connected, but before the server has called , will be available to the server following the call to .

  Connects to a waiting server with an infinite time-out value.

- Method
  4.0.0.0
  System.Void ``

  This method waits for a pipe instance to become available. might return before is called from the , but will not return until has returned. You set the parameter to to specify an infinite time-out value.

  Any data written to the pipe after a object has connected, but before the server has called , will be available to the server following the call to .

  Connects to a waiting server within the specified time-out period.

  The number of milliseconds to wait for the server to respond before the connection times out.
- Property
  4.0.0.0
  System.Int32 To be added.

  This property returns the number of server instances for the object that the current object has a handle to or is connected to. If the current object has not yet connected to a named pipe server, or if the current pipe handle has not yet been set, this property throws an .

  Gets the number of server instances that share the same pipe name.